Skip to content
Get started

Circle memberships for the token owner

GET/api/v1/me/circles

Returns all circles the authenticated user belongs to, with role and timestamps.

ReturnsExpand Collapse
circles: optional array of object { id, createdAt, emoji, 5 more }
id: optional string
createdAt: optional string
formatdate-time
emoji: optional string
isOwner: optional boolean
isPrivate: optional boolean
joinedAt: optional string
formatdate-time
name: optional string
role: optional "OWNER" or "ADMIN" or "MEMBER"
One of the following:
"OWNER"
"ADMIN"
"MEMBER"

Circle memberships for the token owner

curl https://racks.cash/api/v1/me/circles
{
  "circles": [
    {
      "id": "clxxxxxxxxxxxxxxxxxxxxxxxx",
      "createdAt": "2019-12-27T18:11:19.117Z",
      "emoji": "🔥",
      "isOwner": true,
      "isPrivate": true,
      "joinedAt": "2019-12-27T18:11:19.117Z",
      "name": "Degen Questers",
      "role": "OWNER"
    }
  ]
}
Returns Examples
{
  "circles": [
    {
      "id": "clxxxxxxxxxxxxxxxxxxxxxxxx",
      "createdAt": "2019-12-27T18:11:19.117Z",
      "emoji": "🔥",
      "isOwner": true,
      "isPrivate": true,
      "joinedAt": "2019-12-27T18:11:19.117Z",
      "name": "Degen Questers",
      "role": "OWNER"
    }
  ]
}